package com.diagbot.facade;

import com.diagbot.client.AiptServiceClient;
import com.diagbot.dto.RespDTO;
import com.diagbot.exception.CommonErrorCode;
import com.diagbot.exception.CommonException;
import com.diagbot.util.RespDTOUtil;
import com.diagbot.vo.CalculateVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/4/15 13:45
 */
@Component
public class CalculateFacade {
    @Autowired
    AiptServiceClient aiptServiceClient;

    public Map<String, Object> calculate(CalculateVO calculateVO) {
        RespDTO<Map<String, Object>> res = aiptServiceClient.scaleCalc(calculateVO);
        if (RespDTOUtil.respIsNG(res)) {
            throw new CommonException(CommonErrorCode.SERVER_IS_ERROR, "计算没有结果返回");
        }
        Map<String, Object> map = res.data;
        return map;
    }
}